# Create a bank account token

Creates a single-use token that represents a bank account’s details. You can use this token with any v1 API method in place of a bank account dictionary. You can only use this token once. To do so, attach it to a [connected account](https://docs.stripe.com/api/tokens/create_bank_account.md#accounts) where [controller.requirement_collection](https://docs.stripe.com/api/accounts/object.md#account_object-controller-requirement_collection) is `application`, which includes Custom accounts.

## Request

```curl
curl https://api.stripe.com/v1/tokens \
  -u "<<YOUR_SECRET_KEY>>" \
  -d "bank_account[country]=US" \
  -d "bank_account[currency]=usd" \
  -d "bank_account[account_holder_name]=Jenny Rosen" \
  -d "bank_account[account_holder_type]=individual" \
  -d "bank_account[routing_number]=110000000" \
  -d "bank_account[account_number]=000123456789"
```

### Response

```json
{
  "id": "btok_1N3T00LkdIwHu7ixt44h1F8k",
  "object": "token",
  "bank_account": {
    "id": "ba_1NWScr2eZvKYlo2C8MgV5Cwn",
    "object": "bank_account",
    "account_holder_name": "Jenny Rosen",
    "account_holder_type": "individual",
    "account_type": null,
    "bank_name": "STRIPE TEST BANK",
    "country": "US",
    "currency": "usd",
    "fingerprint": "1JWtPxqbdX5Gamtz",
    "last4": "6789",
    "routing_number": "110000000",
    "status": "new"
  },
  "client_ip": null,
  "created": 1689981645,
  "livemode": false,
  "redaction": null,
  "type": "bank_account",
  "used": false
}
```

## Returns

Returns the created bank account token if it’s successful. Otherwise, this call raises [an error](https://docs.stripe.com/api/tokens/create_bank_account.md#errors).

## Parameters

- [`bank_account`](https://docs.stripe.com/api/tokens/create_bank_account.md?query=bank_account) (object, optional)
  The bank account this token will represent.

- `customer` (string, optional)
  Create a token for the customer, which is owned by the application’s account. You can only use this with an [OAuth access token](https://docs.stripe.com/docs/connect/standard-accounts.md) or [Stripe-Account header](https://docs.stripe.com/docs/connect/authentication.md). Learn more about [cloning saved payment methods](https://docs.stripe.com/docs/connect/cloning-saved-payment-methods.md).
